/**
 * @author Daniele Pezzatini
 */
$(document).on('pageinit', function(){
	
	var items;
		
	$.ajax({
		url : "wp-feed.xml",
		method: "GET",
		dataType: "xml",
		success: function(data){
			
			items = $(data).find("item");
			
			var content = '';
			for (var i=0; i< $(items).length; i++){
				
				var newsEncoded = $( $(items[i]).find('encoded').text() );
				var imgSrc = $("img", newsEncoded).attr("src");	
				content+= "<li><a href='#course-page' class='entry-link' data-entryid="+i+"> "+
				 		  "<img src='"+imgSrc+"'>"	
						  + $(items[i]).find("title").text() +"</a></li>";
				
				
			}			
			$("#news-list").html( content);
			$('#news-list').listview('refresh');
		},
		error: function (err){
			console.log(err);
			
		}
	});	
	
	$(document).on("click", ".entry-link", function(){
		var selectedId = $(this).data("entryid");
		var newsContent = "<h3>"+ $(items[selectedId]).find("title").text() +"</h3>";
		newsContent += $(items[selectedId]).find("encoded").text()
		$("#entry-content").html( newsContent );
	});

});
